ArkTS不支持使用第三方的js库?

背景:我目前学习使用 arkTS,需要写一个demo,demo中我希望引入三方包,但目前只提供了 JavaScript 版本

我使用指令:

npm install --save-dev @types/minio复制

但在导入的时候,一直报错:`Cannot find module 'minio' or its corresponding type declarations. <tsCheck>`,导致编译失败;

经过多次查找,仍无法解决,请求大佬解答

UI
DevEco Studio
2023-07-12 15:36:00
浏览
收藏 0
回答 1
待解决
回答 1
按赞同
/
按时间
caseer

如果你的第三方库不是鸿蒙的第三方库,那就洗洗睡吧。鸿蒙只支持鸿蒙的第三方库,因为底下的引擎没有翻译node环境的


分享
微博
QQ
微信
回复
2023-07-13 11:44:49
相关问题
第三方js迁移有懂吗?
324浏览 • 1回复 待解决
鸿蒙有哪些支持第三方UI框架吗?
1856浏览 • 1回复 待解决
api9不支持三方包吗?
919浏览 • 1回复 待解决
第三方怎么装鸿蒙系统?
579浏览 • 1回复 待解决
开发第三方SDK如何编译?
11668浏览 • 2回复 待解决
HarmonyOS如何移植第三方MCU?
7108浏览 • 1回复 待解决
ArkTS API 9 Stage 如何引用第三方字体?
1457浏览 • 1回复 待解决
OHPM包管理怎么安装第三方
2069浏览 • 1回复 待解决